ch.qos.logback.core.db.dialect

## Class HSQLDBDialect

- java.lang.Object
- - ch.qos.logback.core.db.dialect.HSQLDBDialect

All Implemented Interfaces:
  SQLDialect

    public class HSQLDBDialect
    extends java.lang.Object
    implements SQLDialect

The HSQLDB dialect.

Author:
  Ceki Gülcü

### Field Summary

Fields
`static java.lang.String` `SELECT_CURRVAL`

### Constructor Summary

Constructors
Constructor and Description
`HSQLDBDialect()`

### Method Summary

Methods
`java.lang.String` `getSelectInsertId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SELECT_CURRVAL

    public static final java.lang.String SELECT_CURRVAL

See Also:
  Constant Field Values

### Constructor Detail

#### HSQLDBDialect

    public HSQLDBDialect()

### Method Detail

#### getSelectInsertId

    public java.lang.String getSelectInsertId()

Specified by:
  `getSelectInsertId` in interface `SQLDialect`